import { Dispatch } from 'react';
import { Operator } from 'wonka';
export declare const useOperatorValue: <T, R>(fn: Operator<T, R>, input: T, init: R) => R;
/**
 * Creates a stream of `input` as it's changing and pipes this stream
 * into the operator which creates what becomes the output of this hook.
 *
 * This hooks supports creating a synchronous, stateful value that is
 * updated immediately on mount and is then updated using normal effects.
 * It has been built to be safe for normal-mode, concurrent-mode,
 * strict-mode and suspense.
 */
export declare const useOperator: <T, R>(operator: Operator<T, R>, input: T, init?: R | undefined) => [R, Dispatch<T>];
